## vim 8.0.1766

=== debian/changelog ===
vim (2:8.0.1766-1ubuntu1.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Arbitrary code execution
    - debian/patches/CVE-2019-12735.patch: disallow
      sourcing a file in the sandbox in src/getchar.c
    - CVE-2019-12735

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 07 Jun 2019 08:40:34 -0300

vim (2:8.0.1766-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, and yakkety, and zesty.
      + Add bionic and cosmic.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 Jun 2018 15:42:14 -0600

vim (2:8.0.1766-1) unstable; urgency=medium

  [ David Rabel ]
  * d/copyright: Fix path to tee.c

  [ upstream ]
  * 8.0.1477: Avoid cursor flicker when changing (de)focusing the terminal.
    (Closes: #890642)
  * 8.0.1491: New 'pumwidth' option allows controlling the width of the popup
    menu.  (Closes: #450481)
  * 8.0.1744: Skip Test_writefile_sync_dev_stdout when /dev/stdout isn't
    writable.  (Closes: #894565)
  * syntax/config.vim: Fix highlighting matching paren for AC_MSG_* syntax
    items.  (Closes: #881654)
  * syntax/debcontrol.vim: Recognize Testsuite and Testsuite-Triggers fields.
    (Closes: #886230)
  * syntax/sh.vim: Do not highlight substring processing as an error for POSIX
    sh.  (Closes: #885938)

  [ James McCoy ]
  * watch: Track git tags instead of major releases
  * Declare compliance with Policy 4.1.4, no changes needed
  * control: Use 11~ for minimum debhelper version to ease backporting
  * rules:
    + Fold config.mk handling into autoconf-stamp target
    + Use C.UTF-8 locale when running tests to avoid an upstream bug in the
      tests.  When not run in a UTF-8 locale, a child Vim used by the tests
      displays some unicode characters incorrectly, breaking the test.

 -- James McCoy <jamessan@debian.org>  Thu, 26 Apr 2018 22:08:08 -0400

vim (2:8.0.1453-1ubuntu3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 15:09:33 +0200

vim (2:8.0.1453-1ubuntu2) cosmic; urgency=medium

  * debian/patches/ubuntu-series-support.patch: Drop zesty and add cosmic.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 02 May 2018 06:33:24 -0600

=== debian/control ===
Source: vim
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Standards-Version: 4.1.4
Rules-Requires-Root: no
Build-Depends:
 autoconf,
 debhelper (>= 11~),
# SOURCE_DATE_EPOCH provided by pkg-info.mk
 dpkg-dev (>= 1.18.8),
 libacl1-dev,
 libgpmg1-dev [linux-any],
 libgtk-3-dev,
 libgtk2.0-dev,
 liblua5.2-dev,
 libperl-dev,
 libselinux1-dev [linux-any],
 libtinfo-dev | libncurses5-dev,
 libxaw7-dev,
 libxpm-dev,
 libxt-dev,
 lua5.2,
 python3-dev,
 ruby,
 ruby-dev,
 tcl-dev,
Build-Conflicts:
 autoconf2.13,
Build-Depends-Indep:
 docbook-utils,
 docbook-xml,
 ghostscript,
 pdf2svg,
Vcs-Git: https://salsa.debian.org/vim-team/vim.git
Vcs-Browser: https://salsa.debian.org/vim-team/vim
Homepage: https://vim.sourceforge.io/

Package: vim-common
Priority: important
Architecture: all
Depends:
 xxd,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 vim | vim-gtk | vim-gtk3 | vim-athena | vim-nox | vim-tiny,
Description: Vi IMproved - Common files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 This package contains files shared by all non GUI-enabled vim variants
 available in Debian.  Examples of such shared files are: manpages and
 configuration files.

Package: vim-gui-common
Architecture: all
Multi-Arch: foreign
Recommends:
 vim-gtk | vim-gtk3 | vim-athena,
Depends:
 ${misc:Depends},
Description: Vi IMproved - Common GUI files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 This package contains files shared by all GUI-enabled vim
 variants available in Debian.  Examples of such shared files are:
 gvimtutor, icons, and desktop environments settings.

Package: vim-runtime
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 vim-tiny (<< ${source:Version}),
Recommends:
 vim | vim-gtk | vim-gtk3 | vim-athena | vim-nox | vim-tiny,
Enhances:
 vim-tiny,
Description: Vi IMproved - Runtime files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 This package contains vimtutor and the architecture independent runtime
 files, used, if available, by all vim variants available in Debian.
 Example of such runtime files are: online documentation, rules for
 language-specific syntax highlighting and indentation, color schemes,
 and standard plugins.

Package: vim-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Vi IMproved - HTML documentation
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 This package contains the HTML version of the online documentation.  It is
 built from the runtime/doc directory of the source tree.

Package: vim-tiny
Priority: important
Architecture: any
Depends:
 vim-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 indent,
Provides:
 editor,
Description: Vi IMproved - enhanced vi editor - compact version
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 This package contains a minimal version of Vim compiled with no GUI and
 a small subset of features. This package's sole purpose is to provide
 the vi binary for base installations.
 .
 If a vim binary is wanted, try one of the following more featureful
 packages: vim, vim-nox, vim-athena, vim-gtk, or vim-gtk3.

Package: vim
Architecture: any
Depends:
 vim-common (= ${source:Version}),
 vim-runtime (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ctags,
 vim-doc,
 vim-scripts,
Provides:
 editor,
Description: Vi IMproved - enhanced vi editor
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a rather
 standard set of features.  This package does not provide a GUI
 version of Vim.  See the other vim-* packages if you need more
 (or less).

Package: vim-gtk
Architecture: any
Depends:
 vim-common (= ${source:Version}),
 vim-gui-common (= ${source:Version}),
 vim-runtime (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 cscope,
 fonts-dejavu,
 gnome-icon-theme,
 vim-doc,
Provides:
 editor,
 gvim,
 vim,
 vim-lua,
 vim-perl,
 vim-python,
 vim-ruby,
 vim-tcl,
Description: Vi IMproved - enhanced vi editor - with GTK2 GUI
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a GTK2 GUI
 and support for scripting with Lua, Perl, Python 3, Ruby, and Tcl.

Package: vim-gtk3
Architecture: any
Depends:
 vim-common (= ${source:Version}),
 vim-gui-common (= ${source:Version}),
 vim-runtime (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 cscope,
 fonts-dejavu,
 gnome-icon-theme,
 vim-doc,
Provides:
 editor,
 gvim,
 vim,
 vim-lua,
 vim-perl,
 vim-python,
 ${vim:Ruby-Provides},
 vim-tcl,
Description: Vi IMproved - enhanced vi editor - with GTK3 GUI
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a GTK3 GUI
 and support for scripting with Lua, Perl, Python 3,${vim:Ruby-Desc} and Tcl.

Package: vim-nox
Architecture: any
Depends:
 vim-common (= ${source:Version}),
 vim-runtime (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 cscope,
 vim-doc,
Provides:
 editor,
 vim,
 vim-lua,
 vim-perl,
 vim-python,
 vim-ruby,
 vim-tcl,
Description: Vi IMproved - enhanced vi editor - with scripting languages support
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with support for
 scripting with Lua, Perl, Python 3, Ruby, and Tcl but no GUI.

Package: vim-athena
Architecture: any
Depends:
 vim-common (= ${source:Version}),
 vim-gui-common (= ${source:Version}),
 vim-runtime (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 cscope,
 vim-doc,
Provides:
 editor,
 gvim,
 vim,
 vim-lua,
 vim-perl,
 vim-python,
 vim-ruby,
 vim-tcl,
Description: Vi IMproved - enhanced vi editor - with Athena GUI
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a Athena GUI
 and support for scripting with Lua, Perl, Python 3, Ruby, and Tcl.

Package: vim-gnome
Architecture: all
Depends:
 vim-gtk3,
 ${misc:Depends},
Section: oldlibs
Description: Vi IMproved - enhanced vi editor (dummy package)
 This is a transitional package to install the vim-gtk3 package.  You may
 remove this package if nothing depends on it.

Package: xxd
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 vim-common (<< 2:7.4.2347-1~),
Replaces:
 vim-common (<< 2:7.4.2347-1~),
Description: tool to make (or reverse) a hex dump
 xxd creates a hex dump of a given file or standard input.  It can also convert
 a hex dump back to its original binary form.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

# Upstream handles the _FORTIFY_SOURCE flag on their own
DEB_BUILD_MAINT_OPTIONS=hardening=+all,-fortify

include /usr/share/dpkg/default.mk

BUILDER := pkg-vim-maintainers@lists.alioth.debian.org

MAKETEST := no
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    MAKETEST := yes
  endif
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

CFGFLAGS := --prefix=/usr --mandir='$${prefix}'/share/man --without-local-dir
CFGFLAGS += --with-modified-by="$(BUILDER)"
CFGFLAGS += --with-compiledby="$(BUILDER)"
CFGFLAGS += --enable-fail-if-missing

TINYFLAGS:=--with-features=small
TINYFLAGS+=--disable-gui
TINYFLAGS+=--disable-xsmp
TINYFLAGS+=--disable-xsmp-interact
TINYFLAGS+=--disable-netbeans
TINYFLAGS+=--disable-gpm
TINYFLAGS+=--enable-nls
TINYFLAGS+=--enable-multibyte
TINYFLAGS+=--enable-acl
TINYFLAGS+=--disable-terminal

OPTFLAGS:=--enable-cscope
ifeq ($(DEB_HOST_ARCH_OS),linux)
    OPTFLAGS+=--enable-gpm
    OPTFLAGS+=--enable-selinux --disable-smack
    TINYFLAGS+=--enable-selinux --disable-smack
else
    OPTFLAGS+=--disable-gpm
endif
OPTFLAGS+=--with-features=huge
OPTFLAGS+=--enable-multibyte
OPTFLAGS+=--enable-acl
OPTFLAGS+=--enable-terminal

NOXFLAGS:=--without-x
NOXFLAGS+=--enable-gui=no

GUIFLAGS:=--with-x
GUIFLAGS+=--enable-xim

GTK2FLAGS:=--enable-gui=gtk2
GTK2FLAGS+=--enable-gtk2-check
GTK2FLAGS+=--disable-gnome-check
GTK2FLAGS+=--disable-motif-check
GTK2FLAGS+=--disable-athena-check
GTK2FLAGS+=--disable-fontset

GTK3FLAGS:=--enable-gui=gtk3
GTK3FLAGS+=--enable-gtk3-check
GTK3FLAGS+=--disable-gnome-check
GTK3FLAGS+=--disable-motif-check
GTK3FLAGS+=--disable-athena-check
GTK3FLAGS+=--disable-fontset

ATHENAFLAGS:=--enable-gui=athena
ATHENAFLAGS+=--disable-gtk2-check
ATHENAFLAGS+=--disable-gtk3-check
ATHENAFLAGS+=--disable-gnome-check
ATHENAFLAGS+=--disable-motif-check
ATHENAFLAGS+=--enable-athena-check
ATHENAFLAGS+=--enable-fontset

NOINTERPFLAGS:=--disable-luainterp
NOINTERPFLAGS+=--disable-mzschemeinterp
NOINTERPFLAGS+=--disable-perlinterp
ifeq ($(DEB_VENDOR),Ubuntu)
	NOINTERPFLAGS+=--enable-python3interp --with-python3-config-dir=$(shell python3-config --configdir)
	NOINTERPFLAGS+=--disable-pythoninterp
	GTK3FLAGS+=--disable-rubyinterp
	RUBY_SUBSTVARS=
else
	NOINTERPFLAGS+=--disable-pythoninterp
	NOINTERPFLAGS+=--disable-python3interp
	RUBY_SUBSTVARS=-Vvim:Ruby-Provides=vim-ruby -Vvim:Ruby-Desc=" Ruby,"
endif
NOINTERPFLAGS+=--disable-rubyinterp
NOINTERPFLAGS+=--disable-tclinterp

ALLINTERPFLAGS:=--enable-luainterp
ALLINTERPFLAGS+=--disable-mzschemeinterp
ALLINTERPFLAGS+=--enable-perlinterp
ALLINTERPFLAGS+=--enable-python3interp --with-python3-config-dir=$(shell python3-config --configdir)
ALLINTERPFLAGS+=--disable-pythoninterp
ALLINTERPFLAGS+=--enable-rubyinterp
ALLINTERPFLAGS+=--enable-tclinterp
ALLINTERPFLAGS+=--with-tclsh=/usr/bin/tclsh

# Each vim-xxx package is said to be a vim variant and contains only a vim
# binary built with some compile-time options. Makefile VARIANTS below are
# one-to-one with those packages with the exception of "vim-basic". In this
# Makefile vim-basic is used to build 4 packages: "vim", "vim-runtime",
# "vim-common", "vim-gui-common". "vim-tiny" is the only variant package not
# depending on vim-runtime.

VARIANTS+=vim-tiny
VARIANTS+=vim-gtk
VARIANTS+=vim-gtk3
VARIANTS+=vim-athena
VARIANTS+=vim-nox
VARIANTS+=vim-basic

ifeq ($(origin VARIANT), command line)
	VARIANTS = $(VARIANT) vim-basic
endif

CFLAGS_vim-basic:=$(CFLAGS)
CFGFLAGS_vim-basic:=$(CFGFLAGS) $(OPTFLAGS) $(NOXFLAGS) $(NOINTERPFLAGS)

CFLAGS_vim-tiny:=$(CFLAGS) -DTINY_VIMRC
CFGFLAGS_vim-tiny:=$(CFGFLAGS) $(TINYFLAGS)

CFLAGS_vim-gtk:=$(CFLAGS)
CFGFLAGS_vim-gtk:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(GTK2FLAGS) $(ALLINTERPFLAGS)

CFLAGS_vim-gtk3:=$(CFLAGS)
CFGFLAGS_vim-gtk3:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(ALLINTERPFLAGS) $(GTK3FLAGS)

CFLAGS_vim-athena:=$(CFLAGS)
CFGFLAGS_vim-athena:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(ATHENAFLAGS) $(ALLINTERPFLAGS)

CFLAGS_vim-nox:=$(CFLAGS)
CFGFLAGS_vim-nox:=$(CFGFLAGS) $(OPTFLAGS) $(NOXFLAGS) $(ALLINTERPFLAGS)

NAME:=vim
# Convert x.y.z to x.y
VERSION:=$(basename $(DEB_VERSION_UPSTREAM))
VIMCUR:=$(NAME)$(subst .,,$(VERSION))
PER_VARIANT_FILES := install postinst prerm lintian-overrides maintscript
LANGS := fr it pl ru ja

DOT_IN_DEPS := debian/vim-common.install
DOT_IN_DEPS += debian/vim-common.links
DOT_IN_DEPS += debian/vim-gui-common.install
DOT_IN_DEPS += debian/vim-gui-common.links
DOT_IN_DEPS += debian/vim-runtime.install
DOT_IN_DEPS += debian/vim-runtime.links
DOT_IN_DEPS += debian/vim-runtime.postrm
DOT_IN_DEPS += debian/vim-runtime.preinst
DOT_IN_DEPS += debian/runtime/debian.vim
DOT_IN_DEPS_TINY := debian/tiny/vimrc.tiny

# nothing to do per default
all:

update-changelog:
	dh_testdir
	wget -O debian/changelog.upstream http://ftp.vim.org/pub/vim/patches/$(VERSION)/README

clean: $(foreach v,$(VARIANTS),clean-$(v))
	dh_testdir
	dh_testroot
	rm -f extract-stamp* build-stamp* install-stamp* configure-stamp* autoconf-stamp
	rm -f debian/helpztags.1
	rm -rf debian/policy/vim-policy.html
	rm -f debian/policy/vim-policy.txt
	rm -f debian/tmplogo.*
	[ ! -f src/auto/config.cache ] || make distclean
	rm -f src/auto/config.mk src/pixmaps src/runtime
	[ ! -f debian/configure.dist ] || mv debian/configure.dist src/auto/configure
	rm -f src/auto/config.h
	rm -f runtime/doc/doctags runtime/doc/tags.ref
	rm -f runtime/doc/*.html runtime/doc/*.log
	find src/testdir -name '*.pyc' -delete
	dh_clean

clean-vim-basic:
	dh_testdir
	dh_testroot
	for x in $(PER_VARIANT_FILES) ; do \
	  rm -f debian/vim.$$x ; \
	done
	[ ! -L src/vim-basic/po ] || $(MAKE) -C src/vim-basic/po clean
	rm -f $(DOT_IN_DEPS)
	rm -rf src/vim-basic

clean-%: SHADOWDIR=$*
clean-%:
	dh_testdir
	dh_testroot
	for x in $(PER_VARIANT_FILES) ; do \
	  rm -f debian/$*.$$x ; \
	done
	if [ "$*" = "vim-tiny" ]; then \
	  rm -f $(DOT_IN_DEPS_TINY); \
	fi
	rm -rf src/$(SHADOWDIR)

build: build-stamp-arch

build-indep: build-stamp-indep
build-stamp-indep: export DH_OPTIONS=-pvim-doc
build-stamp-indep: autoconf-stamp
	dh_testdir
	dh_prep
	$(MAKE) -C runtime/doc html
	$(MAKE) -C debian/policy text html
	$(MAKE) -C src/po vim.pot
	touch $@

build-arch: build-stamp-arch
build-stamp-arch: build-stamp-xxd $(foreach v,$(VARIANTS),build-stamp-$(v))
	dh_testdir
	touch $@

build-stamp-xxd: export DH_OPTIONS=-pxxd
build-stamp-xxd: build-stamp-vim-basic
	dh_testdir
	dh_prep
	$(MAKE) -C src/vim-basic xxd/xxd
	touch $@

autoconf-stamp:
	dh_testdir
	[ -f debian/configure.dist ] || cp src/auto/configure debian/configure.dist
# src/Makefile includes src/auto/config.mk, so we need to ensure it exists.
# distclean will then wipe it out and re-copy it.
	[ -f src/auto/config.mk ] || cp src/config.mk.dist src/auto/config.mk
# The autoconf target generates a new configure, and touches some other
# configure-related things.  Need to run distclean afterward or timestamps
# will be off and the next make that runs will think it needs to run
# configure.  This breaks parallel builds since two configures are being run
# in the same directory at the same time instead of in their own shadow
# directories.
	$(MAKE) -C src autoconf
	$(MAKE) distclean
	touch $@

configure-stamp-%: SHADOWDIR=$*
# When configure.in is being patched by Debian, autoconf-stamp needs to be a
# prerequisite for this target and autoconf needs to be added to Build-Depends
configure-stamp-%: autoconf-stamp
	dh_testdir
	@echo "*** DEBIAN *** CONFIGURING VARIANT $*"
	$(MAKE) -C src shadow SHADOWDIR=$(SHADOWDIR)
	if test -f src/auto/config.cache; then make distclean; fi
	cd src/$(SHADOWDIR) && LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS_$(*))" ./configure $(CFGFLAGS_$(*))
	touch $@

build-stamp-%: PKG=$(subst -basic,,$*)
build-stamp-%: CURCFLAGS=$(CFLAGS_$*)
build-stamp-%: SHADOWDIR=$*

## vim 8.1.0320

=== debian/changelog ===
vim (2:8.1.0320-1ubuntu3.1) disco-security; urgency=medium

  * SECURITY UPDATE: Arbitrary code execution
    - debian/patches/CVE-2019-12735.patch: disallow
      sourcing a file in the sandbox in src/getchar.c
    - CVE-2019-12735

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 07 Jun 2019 08:42:36 -0300

vim (2:8.1.0320-1ubuntu3) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:15:14 -0600

vim (2:8.1.0320-1ubuntu2) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 12:39:06 +0000

vim (2:8.1.0320-1ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, and yakkety, zesty, artful.
      + Add disco.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 30 Oct 2018 06:23:59 -0600

vim (2:8.1.0320-1) unstable; urgency=medium

  * Merge upstream tag v8.1.0320
    - syntax/debcontrol.vim:
      + Recognize riscv64 as an architecture (Closes: #905435)
    - syntax/sh.vim:
      + Fix syntax highlighting of curly braces inside parameter expansion
        (Closes: #904875)
  * rules:
    + Stop using --dbgsym-migration
    + Stop overriding default dpkg-deb compression
  * Declare compliance with Policy 4.2.0, no changes needed
  * control: Add cscope to Build-Depends to test cscope integration

 -- James McCoy <jamessan@debian.org>  Wed, 22 Aug 2018 19:46:39 -0400

vim (2:8.1.0229-1) unstable; urgency=medium

  [ upstream ]
  * Unicode 11 support
  * New options ('vartabstop'/'varsofttabstop') to define variable width tab
    stops.
  * Danish translation

  [ James McCoy ]
  * Change "Compiled by" string to team+vim@tracker.d.o
  * rules:
    + Only run scratch target, not distclean, in autoconf-stamp to avoid FTBFS
      with parallel builds.
    + Allow defining VARIANT from the environment.  Thanks to Guillem Jover
      for the suggestion (Closes: #903927)
  * Change vim-python Provides to vim-python3.  While Vim only supports py2 or
    py3, Neovim supports both so the change in provides allows
    python(3)-neovim to differentiate the supported Python version.

 -- James McCoy <jamessan@debian.org>  Thu, 02 Aug 2018 21:44:43 -0400

vim (2:8.1.0089-1) unstable; urgency=medium

  * New upstream release
    + New syntax highlighting for machine-readable debian/copyright files.
      (Closes: #869965)
    + Fix mis-highlighting of architectures in debian/control files.  (Closes:
      #900476)
  * Change Maintainer to team+vim@tracker.debian.org
  * Add wildcard to binaries-have-file-conflict override between
    vim-tiny/vim-runtime to account for upstream releases.

 -- James McCoy <jamessan@debian.org>  Tue, 19 Jun 2018 22:44:05 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 XSBC-Original-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
 Uploaders:
  James McCoy <jamessan@debian.org>,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Rules-Requires-Root: no
 Build-Depends:
  autoconf,
+ cscope <!nocheck>,
  debhelper (>= 11~),
 # SOURCE_DATE_EPOCH provided by pkg-info.mk
  dpkg-dev (>= 1.18.8),
@@ -166,7 +167,7 @@
  vim,
  vim-lua,
  vim-perl,
- vim-python,
+ vim-python3,
  vim-ruby,
  vim-tcl,
 Description: Vi IMproved - enhanced vi editor - with GTK2 GUI
@@ -198,7 +199,7 @@
  vim,
  vim-lua,
  vim-perl,
- vim-python,
+ vim-python3,
  ${vim:Ruby-Provides},
  vim-tcl,
 Description: Vi IMproved - enhanced vi editor - with GTK3 GUI
@@ -226,7 +227,7 @@
  vim,
  vim-lua,
  vim-perl,
- vim-python,
+ vim-python3,
  vim-ruby,
  vim-tcl,
 Description: Vi IMproved - enhanced vi editor - with scripting languages support
@@ -256,7 +257,7 @@
  vim,
  vim-lua,
  vim-perl,
- vim-python,
+ vim-python3,
  vim-ruby,
  vim-tcl,
 Description: Vi IMproved - enhanced vi editor - with Athena GUI

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 include /usr/share/dpkg/default.mk
 
-BUILDER := pkg-vim-maintainers@lists.alioth.debian.org
+BUILDER := team+vim@tracker.debian.org
 
 MAKETEST := no
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -117,7 +117,7 @@
 VARIANTS+=vim-nox
 VARIANTS+=vim-basic
 
-ifeq ($(origin VARIANT), command line)
+ifneq ($(origin VARIANT), undefined)
 	VARIANTS = $(VARIANT) vim-basic
 endif
 
@@ -144,13 +144,9 @@
 VERSION:=$(basename $(DEB_VERSION_UPSTREAM))
 VIMCUR:=$(NAME)$(subst .,,$(VERSION))
 PER_VARIANT_FILES := install postinst prerm lintian-overrides maintscript
-LANGS := fr it pl ru ja
+LANGS := da de fr it ja pl ru
 
 DOT_IN_DEPS := debian/vim-common.install
-DOT_IN_DEPS += debian/vim-common.links
-DOT_IN_DEPS += debian/vim-gui-common.install
-DOT_IN_DEPS += debian/vim-gui-common.links
-DOT_IN_DEPS += debian/vim-runtime.install
 DOT_IN_DEPS += debian/vim-runtime.links
 DOT_IN_DEPS += debian/vim-runtime.postrm
 DOT_IN_DEPS += debian/vim-runtime.preinst
@@ -240,7 +236,7 @@
 # in the same directory at the same time instead of in their own shadow
 # directories.
 	$(MAKE) -C src autoconf
-	$(MAKE) distclean
+	$(MAKE) -C src scratch
 	touch $@
 
 configure-stamp-%: SHADOWDIR=$*
@@ -250,10 +246,15 @@
 	dh_testdir
 	@echo "*** DEBIAN *** CONFIGURING VARIANT $*"
 	$(MAKE) -C src shadow SHADOWDIR=$(SHADOWDIR)
-	if test -f src/auto/config.cache; then make distclean; fi
 	cd src/$(SHADOWDIR) && LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS_$(*))" ./configure $(CFGFLAGS_$(*))
 	touch $@
 
 build-stamp-%: PKG=$(subst -basic,,$*)
 build-stamp-%: CURCFLAGS=$(CFLAGS_$*)
 build-stamp-%: SHADOWDIR=$*
+build-stamp-%: configure-stamp-%
+	dh_testdir
+	dh_prep -p $(PKG)
+	@echo "*** DEBIAN *** BUILDING VARIANT $*"
+	$(MAKE) -C src/$(SHADOWDIR)
+	# Ensure $TERM is set to a sane value for testing

## vim 8.1.0549

=== debian/changelog ===
vim (2:8.1.0549-1) unstable; urgency=medium

  * Merge upstream tag v8.1.0549
    + Built-in support for performing diffs, via the libxdiff library, which
      allows setting the diff algorithm (:help 'diffopt').
    + Fix formatting of example output in translated xxd man pages.  (Closes:
      #909217)
  * gitlab-ci.yml: Run build as non-root user
  * Mark vim-common Multi-Arch: foreign (Closes: #910732)

 -- James McCoy <jamessan@debian.org>  Tue, 27 Nov 2018 20:38:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vim
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders:
  James McCoy <jamessan@debian.org>,
 Standards-Version: 4.2.0
@@ -43,6 +42,7 @@
 Package: vim-common
 Priority: important
 Architecture: all
+Multi-Arch: foreign
 Depends:
  xxd,
  ${misc:Depends},

## vim 8.1.0875

=== src/Makefile ===
# Makefile for Vim on Unix and Unix-like systems	vim:ts=8:sw=8:tw=78
#
# This Makefile is loosely based on the GNU Makefile conventions found in
# standards.info.
#
# Compiling Vim, summary:
#
#	3. make
#	5. make install
#
# Compiling Vim, details:
#
# Edit this file for adjusting to your system. You should not need to edit any
# other file for machine specific things!
# The name of this file MUST be Makefile (note the uppercase 'M').
#
# 1. Edit this Makefile  {{{1
#	The defaults for Vim should work on most machines, but you may want to
#	uncomment some lines or make other changes below to tune it to your
#	system, compiler or preferences.  Uncommenting means that the '#' in
#	the first column of a line is removed.
#	- If you want a version of Vim that is small and starts up quickly,
#	  you might want to disable the GUI, X11, Perl, Python and Tcl.
#	- Uncomment the line with --disable-gui if you have Motif, GTK and/or
#	  Athena but don't want to make gvim (the GUI version of Vim with nice
#	  menus and scrollbars, but makes Vim bigger and startup slower).
#	- Uncomment --disable-darwin if on Mac OS X but you want to compile a
#	  Unix version.
#	- Uncomment the line "CONF_OPT_X = --without-x" if you have X11 but
#	  want to disable using X11 libraries.	This speeds up starting Vim,
#	  but the window title will not be set and the X11 selection can not
#	  be used.
#	- Uncomment the line "CONF_OPT_XSMP = --disable-xsmp" if you have the
#	  X11 Session Management Protocol (XSMP) library (libSM) but do not
#	  want to use it.
#	  This can speedup Vim startup but Vim loses the ability to catch the
#	  user logging out from session-managers like GNOME and work
#	  could be lost.
#	- Uncomment one or more of these lines to include an interface;
#	  each makes Vim quite a bit bigger:
#		--enable-luainterp	for Lua interpreter
#		--enable-mzschemeinterp	for MzScheme interpreter
#		--enable-perlinterp	for Perl interpreter
#		--enable-python3interp	for Python3 interpreter
#		--enable-pythoninterp	for Python interpreter
#		--enable-rubyinterp	for Ruby interpreter
#		--enable-tclinterp	for Tcl interpreter
#		--enable-cscope		for Cscope interface
#	- Uncomment one of the lines with --with-features= to enable a set of
#	  features (but not the interfaces just mentioned).
#	- Uncomment the line with --disable-acl to disable ACL support even
#	  though your system supports it.
#	- Uncomment the line with --disable-gpm to disable gpm support
#	  even though you have gpm libraries and includes.
#	- Uncomment the line with --disable-sysmouse to disable sysmouse
#	  support even though you have /dev/sysmouse and includes.
#	- Uncomment one of the lines with CFLAGS and/or CC if you have
#	  something very special or want to tune the optimizer.
#	- Search for the name of your system to see if it needs anything
#	  special.
#	- A few versions of make use '.include "file"' instead of 'include
#	  file'.  Adjust the include line below if yours does.
#
# 2. Edit feature.h  {{{1
#	Only if you do not agree with the default compile features, e.g.:
#	- you want Vim to be as vi compatible as it can be
#	- you want to use Emacs tags files
#	- you want right-to-left editing (Hebrew)
#	- you want 'langmap' support (Greek)
#	- you want to remove features to make Vim smaller
#
# 3. "make"  {{{1
#	Will first run ./configure with the options in this file. Then it will
#	start make again on this Makefile to do the compiling. You can also do
#	this in two steps with:
#		make config
#		make
#	The configuration phase creates/overwrites auto/config.h and
#	auto/config.mk.
#	The configure script is created with "make autoconf".  It can detect
#	different features of your system and act accordingly.  However, it is
#	not correct for all systems.  Check this:
#	- If you have X windows, but configure could not find it or reported
#	  another include/library directory then you wanted to use, you have
#	  to set CONF_OPT_X below.  You might also check the installation of
#	  xmkmf.
#	- If you have --enable-gui=motif and have Motif on your system, but
#	  configure reports "checking for location of gui... <not found>", you
#	  have to set GUI_INC_LOC and GUI_LIB_LOC below.
#	If you changed something, do this to run configure again:
#		make reconfig
#
#	- If you do not trust the automatic configuration code, then inspect
#	  auto/config.h and auto/config.mk, before starting the actual build
#	  phase. If possible edit this Makefile, rather than auto/config.mk --
#	  especially look at the definition of VIMLOC below. Note that the
#	  configure phase overwrites auto/config.mk and auto/config.h again.
#	- If you get error messages, find out what is wrong and try to correct
#	  it in this Makefile. You may need to do "make reconfig" when you
#	  change anything that configure uses (e.g. switching from an old C
#	  compiler to an ANSI C compiler). Only when auto/configure does
#	  something wrong you may need to change one of the other files. If
#	  you find a clean way to fix the problem, consider sending a note to
#	  the author of autoconf (bug-gnu-utils@prep.ai.mit.edu) or Vim
#	  (Bram@vim.org). Don't bother to do that when you made a hack
#	  solution for a non-standard system.
#
# 4. "make test"  {{{1
#	This is optional.  This will run Vim scripts on a number of test
#	files, and compare the produced output with the expected output.
#	If all is well, you will get the "ALL DONE" message in the end.  If a
#	test fails you get "TEST FAILURE".  See below (search for "/^test").
#
# 5. "make install"  {{{1
#	If the new Vim seems to be working OK you can install it and the
#	documentation in the appropriate location. The default is
#	"/usr/local".  Change "prefix" below to change the location.
#	"auto/pathdef.c" will be compiled again after changing this to make
#	the executable know where the help files are located.
#	Note that any existing executable is removed or overwritten.  If you
#	want to keep it you will have to make a backup copy first.
#	The runtime files are in a different directory for each version.  You
#	might want to delete an older version.
#	If you don't want to install everything, there are other targets:
#		make installvim		only installs Vim, not the tools
#		make installvimbin	only installs the Vim executable
#		make installruntime	installs most of the runtime files
#		make installrtbase	only installs the Vim help and
#							runtime files
#		make installlinks	only installs the Vim binary links
#		make installmanlinks	only installs the Vim manpage links
#		make installmacros	only installs the Vim macros
#		make installpack	only installs the packages
#		make installtutorbin	only installs the Vim tutor program
#		make installtutor	only installs the Vim tutor files
#		make installspell	only installs the spell files
#		make installtools	only installs xxd
#	If you install Vim, not to install for real but to prepare a package
#	or RPM, set DESTDIR to the root of the tree.
#
# 6. Use Vim until a new version comes out.  {{{1
#
# 7. "make uninstall_runtime"  {{{1
#	Will remove the runtime files for the current version.	This is safe
#	to use while another version is being used, only version-specific
#	files will be deleted.
#	To remove the runtime files of another version:
#		make uninstall_runtime VIMRTDIR=/vim54
#	If you want to delete all installed files, use:
#		make uninstall
#	Note that this will delete files that have the same name for any
#	version, thus you might need to do a "make install" soon after this.
#	Be careful not to remove a version of Vim that is still being used!
#	To find out which files and directories will be deleted, use:
#		make -n uninstall
# }}}
#
### This Makefile has been successfully tested on many systems. {{{
### Only the ones that require special options are mentioned here.
### Check the (*) column for remarks, listed below.
### Later code changes may cause small problems, otherwise Vim is supposed to
### compile and run without problems.

#system:	      configurations:		     version (*) tested by:
#-------------	      ------------------------	     -------  -  ----------
#AIX 3.2.5	      cc (not gcc)   -			4.5  (M) Will Fiveash
#AIX 4		      cc	     +X11 -GUI		3.27 (4) Axel Kielhorn
#AIX 4.1.4	      cc	     +X11 +GUI		4.5  (5) Nico Bakker
#AIX 4.2.1	      cc				5.2k (C) Will Fiveash
#AIX 4.3.3.12	      xic 3.6.6				5.6  (5) David R. Favor
#A/UX 3.1.1	      gcc	     +X11		4.0  (6) Jim Jagielski
#BeOS PR	      mwcc DR3				5.0n (T) Olaf Seibert
#BSDI 2.1 (x86)       shlicc2 gcc-2.6.3 -X11 X11R6	4.5  (1) Jos Backus
#BSD/OS 3.0 (x86)     gcc gcc-2.7.2.1 -X11 X11R6	4.6c (1) Jos Backus
#CX/UX 6.2	      cc	     +X11 +GUI_Mofif	5.4  (V) Kipp E. Howard
#DG/UX 5.4*	      gcc 2.5.8      GUI		5.0e (H) Jonas Schlein
#DG/UX 5.4R4.20       gcc 2.7.2      GUI		5.0s (H) Rocky Olive
#HP-UX (most)	      c89 cc				5.1  (2) Bram Moolenaar
#HP-UX_9.04	      cc	     +X11 +Motif	5.0  (2) Carton Lao
#Irix 6.3 (O2)	      cc	     ?			4.5  (L) Edouard Poor
#Irix 6.4	      cc	     ?			5.0m (S) Rick Sayre
#Irix 6.5	      cc	     ?			6.0  (S) David Harrison
#Irix 64 bit						4.5  (K) Jon Wright
#Linux 2.0	      gcc-2.7.2      Infomagic Motif	4.3  (3) Ronald Rietman
#Linux 2.0.31	      gcc	     +X11 +GUI Athena	5.0w (U) Darren Hiebert
#LynxOS 3.0.1	      2.9-gnupro-98r2 +X11 +GUI Athena  5.7.1(O) Lorenz Hahn
#LynxOS 3.1.0	      2.9-gnupro-98r2 +X11 +GUI Athena  5.7.1(O) Lorenz Hahn
#NEC UP4800 UNIX_SV 4.2MP  cc	     +X11R6 Motif,Athena4.6b (Q) Lennart Schultz
#NetBSD 1.0A	      gcc-2.4.5      -X11 -GUI		3.21 (X) Juergen Weigert
#QNX 4.2	      wcc386-10.6    -X11		4.2  (D) G.F. Desrochers
#QNX 4.23	      Watcom	     -X11		4.2  (F) John Oleynick
#SCO Unix v3.2.5      cc	     +X11 Motif		3.27 (C) M. Kuperblum
#SCO Open Server 5    gcc 2.7.2.3    +X11 +GUI Motif	5.3  (A) Glauber Ribeiro
#SINIX-N 5.43 RM400 R4000   cc	     +X11 +GUI		5.0l (I) Martin Furter
#SINIX-Z 5.42 i386    gcc 2.7.2.3    +X11 +GUI Motif	5.1  (I) Joachim Fehn
#SINIX-Y 5.43 RM600 R4000  gcc 2.7.2.3 +X11 +GUI Motif	5.1  (I) Joachim Fehn
#Reliant/SINIX 5.44   cc	     +X11 +GUI		5.5a (I) B. Pruemmer
#SNI Targon31 TOS 4.1.11 gcc-2.4.5   +X11 -GUI		4.6c (B) Paul Slootman
#Solaris 2.4 (Sparc)  cc	     +X11 +GUI		3.29 (9) Glauber
#Solaris 2.4/2.5      clcc	     +X11 -GUI openwin	3.20 (7) Robert Colon
#Solaris 2.5 (sun4m)  cc (SC4.0)     +X11R6 +GUI (CDE)	4.6b (E) Andrew Large
#Solaris 2.5	      cc	     +X11 +GUI Athena	4.2  (9) Sonia Heimann
#Solaris 2.5	      gcc 2.5.6      +X11 Motif		5.0m (R) Ant. Colombo
#Solaris 2.6	      gcc 2.8.1      ncurses		5.3  (G) Larry W. Virden
#Solaris with -lthread					5.5  (W) K. Nagano
#Solaris	      gcc				     (b) Riccardo
#SunOS 4.1.x			     +X11 -GUI		5.1b (J) Bram Moolenaar
#SunOS 4.1.3_U1 (sun4c) gcc	     +X11 +GUI Athena	5.0w (J) Darren Hiebert
#SUPER-UX 6.2 (NEC SX-4) cc	     +X11R6 Motif,Athena4.6b (P) Lennart Schultz
#Tandem/NSK						     (c) Matthew Woehlke
#Unisys 6035	      cc	     +X11 Motif		5.3  (8) Glauber Ribeiro
#ESIX V4.2	      cc	     +X11		6.0  (a) Reinhard Wobst
#Mac OS X 10.[23]     gcc	     Carbon		6.2  (x) Bram Moolenaar
# }}}

# (*)  Remarks: {{{
#
# (1)  Uncomment line below for shlicc2
# (2)  HPUX with compile problems or wrong digraphs, uncomment line below
# (3)  Infomagic Motif needs GUI_LIB_LOC and GUI_INC_LOC set, see below.
#      And add "-lXpm" to MOTIF_LIBS2.
# (4)  For cc the optimizer must be disabled (use CFLAGS= after running
#      configure) (symptom: ":set termcap" output looks weird).
# (5)  Compiler may need extra argument, see below.
# (6)  See below for a few lines to uncomment
# (7)  See below for lines which enable the use of clcc
# (8)  Needs some EXTRA_LIBS, search for Unisys below
# (9)  Needs an extra compiler flag to compile gui_at_sb.c, see below.
# (A)  May need EXTRA_LIBS, see below
# (B)  Can't compile GUI because there is no waitpid()...  Disable GUI below.
# (C)  Force the use of curses instead of termcap, see below.
# (D)  Uncomment lines below for QNX

=== debian/changelog ===
vim (2:8.1.0875-5ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:15:15 +0000

vim (2:8.1.0875-5ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, yakkety, zesty, artful.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Jun 2019 14:02:54 -0700

vim (2:8.1.0875-5) unstable; urgency=medium

  * gbp.conf: Set debian-tag to debian/%(version)s
  * Backport 'modelineexpr' patches to further restrict modelines
    + 8.1.1366: Using expressions in a modeline is unsafe
    + 8.1.1367: can set 'modelineexpr' in modeline
    + 8.1.1368: Modeline test fails with python but without pythonhome
    + 8.1.1382: Error when editing test file
    + 8.1.1401: misspelled mkspellmem as makespellmem (test fix)

 -- James McCoy <jamessan@debian.org>  Sat, 15 Jun 2019 12:41:15 -0400

vim (2:8.1.0875-4ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, yakkety, zesty, artful.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Jun 2019 08:06:14 -0700

vim (2:8.1.0875-4) unstable; urgency=high

  * Backport 8.1.1046 and 8.1.1365 to fix CVE-2019-12735  (Closes: #930020)
    + 8.1.1365: source command doesn't check for the sandbox

 -- James McCoy <jamessan@debian.org>  Fri, 07 Jun 2019 06:49:19 -0400

vim (2:8.1.0875-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, yakkety, zesty, artful.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 May 2019 22:59:57 -0700

vim (2:8.1.0875-3) unstable; urgency=medium

  * syntax/deb{changelog,sources}: Update release names for Debian/Ubuntu
    (Closes: #927167)

 -- James McCoy <jamessan@debian.org>  Sun, 05 May 2019 23:41:10 -0400

vim (2:8.1.0875-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, yakkety, zesty, artful.
      + Add eoan.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2019 15:10:08 -0700

vim (2:8.1.0875-2) unstable; urgency=medium

  * Backport 8.1.0878 and 8.1.0884 to fix test failures on kFreeBSD.
  * Backport 8.1.0948 to avoid enabling filetype detection when the +eval
    feature isn't present.  (Closes: #922106)

 -- James McCoy <jamessan@debian.org>  Fri, 22 Feb 2019 07:55:04 -0500

vim (2:8.1.0875-1) unstable; urgency=medium

  * Merge upstream patch v8.1.0875
    + "autocmd", "multi_byte", "virtualedit", and "visualextra" features are
      now always enabled.
    + New Blob type, for working with raw bytes.
    + Support a 3rd character for the "tab" setting in the 'listchars' option.
    + *.com files under /etc/apache2/sites-* are properly recognized as apache
       filetype.  (Closes: #740387)
    + syntax/debchangelog.vim: Recognize "emergency" as a valid urgency.
      (Closes: #920522)
    + Support 64-bit offsets for xxd.  (Closes: #771456)
  * rules:
    + Remove --enable-multibyte since it is always enabled
  * debian.vim:
    + Remove has('autocmd') checks since it is always enabled
  * gvimrc:
    + Adapt gui check to work for gtk2/gtk3

 -- James McCoy <jamessan@debian.org>  Mon, 04 Feb 2019 23:11:09 -0500

vim (2:8.1.0693-2) unstable; urgency=medium

  * Separate /etc/vim and /usr/share/vim/vimfiles.  The former should be for
    the sysadmin, while the latter is used by packages.
    + Make /usr/share/vim/vimfiles a directory, not a symlink to /etc/vim
    + Add /etc/vim to the default 'runtimepath'

 -- James McCoy <jamessan@debian.org>  Sat, 05 Jan 2019 15:53:12 -0500

vim (2:8.1.0693-1) unstable; urgency=medium

  * Merge upstream tag v8.1.0693
  * control:
    + Remove obsolete vim-gnome package
    + Remove ${shlibs:Depends} from vim-common, since it is Arch: all
    + Build-Depend on libtool-bin to run libterm tests
    + Replace libtinfo-dev Build-Depends with libncurses-dev
    + Change Homepage to https://www.vim.org/
  * Use debian/clean to cleanup files/directories
  * rules:
    + Rename stamp files so dh_clean deletes them automatically
    + Ensure helptags are generated before running tests


=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: vim
 Section: editors
 Priority: optional
-Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
 Uploaders:
  James McCoy <jamessan@debian.org>,
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Build-Depends:
  autoconf,
@@ -19,7 +20,9 @@
  liblua5.2-dev,
  libperl-dev,
  libselinux1-dev [linux-any],
- libtinfo-dev | libncurses5-dev,
+ libncurses-dev,
+# Needed to run libvterm's tests
+ libtool-bin <!nocheck>,
  libxaw7-dev,
  libxpm-dev,
  libxt-dev,
@@ -37,7 +40,7 @@
  pdf2svg,
 Vcs-Git: https://salsa.debian.org/vim-team/vim.git
 Vcs-Browser: https://salsa.debian.org/vim-team/vim
-Homepage: https://vim.sourceforge.io/
+Homepage: https://www.vim.org/
 
 Package: vim-common
 Priority: important
@@ -46,7 +49,6 @@
 Depends:
  xxd,
  ${misc:Depends},
- ${shlibs:Depends},
 Recommends:
  vim | vim-gtk | vim-gtk3 | vim-athena | vim-nox | vim-tiny,
 Description: Vi IMproved - Common files
@@ -270,16 +272,6 @@
  This package contains a version of vim compiled with a Athena GUI
  and support for scripting with Lua, Perl, Python 3, Ruby, and Tcl.
 
-Package: vim-gnome
-Architecture: all
-Depends:
- vim-gtk3,
- ${misc:Depends},
-Section: oldlibs
-Description: Vi IMproved - enhanced vi editor (dummy package)
- This is a transitional package to install the vim-gtk3 package.  You may
- remove this package if nothing depends on it.
-
 Package: xxd
 Architecture: any
 Multi-Arch: foreign
